﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="MapSuiteVehicleTracking.Web.Default" %>

<%@ Register Assembly="SilverlightMapConnector" Namespace="ThinkGeo.MapSuite.SilverlightEdition"
    TagPrefix="cc1" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Vehicle Tracking</title>
    <style type="text/css">
        html, body, form
        {
            height: 100%;
        }
        body
        {
            margin: 0px;
            overflow: hidden;
        }
    </style>

    <script type="text/javascript">
        var updateSize = function (withTree) {
            var sw = parseInt(document.body.scrollWidth);
            var sh = parseInt(document.body.scrollHeight);


            var sourceDiv = $get('sourceDiv');

            if (withTree) {
                sw -= 253;
                sh -= 125;
                sourceDiv.style.left = 253;
            } else {
                sourceDiv.style.left = 4;
            }
            sourceDiv.style.width = sw + 'px';
            sourceDiv.style.height = sh + 'px';
        }

        var hide = function () {
            var sourceDiv = $get('sourceDiv');
            sourceDiv.style.display = 'none';
        }

        var show = function (srcUri) {
            var div = $get('sourceDiv');
            var iframe = $get('sourceFrame');
            iframe.src = srcUri;
            div.style.display = 'block';
        }
    </script>

    <script type="text/javascript" src="Silverlight.js"></script>

    <script type="text/javascript">
        function onSilverlightError(sender, args) {
            var appSource = "";
            if (sender != null && sender != 0) {
                appSource = sender.getHost().Source;
            }

            var errorType = args.ErrorType;
            var iErrorCode = args.ErrorCode;

            if (errorType == "ImageError" || errorType == "MediaError") {
                return;
            }

            var errMsg = "Unhandled Error in Silverlight Application " + appSource + "\n";

            errMsg += "Code: " + iErrorCode + "    \n";
            errMsg += "Category: " + errorType + "       \n";
            errMsg += "Message: " + args.ErrorMessage + "     \n";

            if (errorType == "ParserError") {
                errMsg += "File: " + args.xamlFile + "     \n";
                errMsg += "Line: " + args.lineNumber + "     \n";
                errMsg += "Position: " + args.charPosition + "     \n";
            }
            else if (errorType == "RuntimeError") {
                if (args.lineNumber != 0) {
                    errMsg += "Line: " + args.lineNumber + "     \n";
                    errMsg += "Position: " + args.charPosition + "     \n";
                }
                errMsg += "MethodName: " + args.methodName + "     \n";
            }

            throw new Error(errMsg);
        }
    </script>

</head>
<body onload="updateSize(true)">
    <form id="form1" runat="server" style="height: 100%">
    <div id="silverlightControlHost"  style="height: 100%">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:SilverlightMapConnector ID="SilverlightMapConnector1" runat="server" Windowless="true"
            Width="100%" Height="100%" Source="~/ClientBin/MapSuiteVehicleTracking.xap">
        </cc1:SilverlightMapConnector>
        <div id="sourceDiv" style="position: absolute; left: 253px; top: 119px; display: none;">
            <iframe id="sourceFrame" width="100%" height="100%"></iframe>
        </div>
    </div>
    </form>
</body>
</html>
