﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Reflection;
using System.IO;

namespace MapSuiteVehicleTracking.Web
{
    public partial class Default : System.Web.UI.Page
    {
        public static string AccessFilePath;
        private static readonly string acessFileName = @"VehicleTrackingDb.mdb";

        protected void Page_Load(object sender, EventArgs e)
        {
            AccessFilePath = Path.Combine(Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location), acessFileName);
            if (!File.Exists(AccessFilePath))
            {
                File.WriteAllBytes(AccessFilePath, Properties.Resources.VehicleTrackingDb);
            }
        }
    }
}