﻿using System;

namespace ThinkGeo.MapSuite.VehicleTracking
{
    public class OverlayChangedOverlaySwitcherEventArgs : EventArgs
    {
        private string oldCheckedOverlayName;
        private string newCheckedOverlayName;

        public OverlayChangedOverlaySwitcherEventArgs(string oldCheckedOverlayName, string newCheckedOverlayName)
        {
            this.oldCheckedOverlayName = oldCheckedOverlayName;
            this.newCheckedOverlayName = newCheckedOverlayName;
        }

        public string OldCheckedOverlayName
        {
            get { return oldCheckedOverlayName; }
        }

        public string NewCheckedOverlayName
        {
            get { return newCheckedOverlayName; }
        }
    }
}
